Package com.avaya.clientservices.provider.zang

## Class ZangConfiguration

- java.lang.Object
- - com.avaya.clientservices.provider.zang.ZangConfiguration

-     public class ZangConfiguration
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ZangConfiguration()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAccessTokenURL()` |
    `java.lang.String` | `getAuthorizationURL()` |
    `java.lang.String` | `getClientId()` |
    `CredentialProvider` | `getCredentialProvider()` |
    `java.lang.String` | `getRedirect()` |
    `java.lang.String` | `getScope()` |
    `java.lang.String` | `getSecret()` |
    `ServerInfo` | `getServerInfo()` |
    `ServerInfo` | `getSpacesServerInfo()` |
    `boolean` | `isEnabled()` |
    `void` | `setAuthServerInfo​(ServerInfo mAuthServerInfo)` |
    `void` | `setClientId​(java.lang.String mClientId)` |
    `void` | `setCredentialProvider​(CredentialProvider credentialProvider)` |
    `void` | `setEnabled​(boolean mEnabled)` |
    `void` | `setRedirect​(java.lang.String mRedirect)` |
    `void` | `setScope​(java.lang.String mScope)` |
    `void` | `setSecret​(java.lang.String secret)` |
    `void` | `setSpacesServerInfo​(ServerInfo mSpacesServerInfo)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ZangConfiguration

          public ZangConfiguration()

  - ### Method Detail

    - #### getClientId

          public java.lang.String getClientId()

    - #### getSpacesServerInfo

          public ServerInfo getSpacesServerInfo()

    - #### setSpacesServerInfo

          public void setSpacesServerInfo​(ServerInfo mSpacesServerInfo)

    - #### setClientId

          public void setClientId​(java.lang.String mClientId)

    - #### getRedirect

          public java.lang.String getRedirect()

    - #### setRedirect

          public void setRedirect​(java.lang.String mRedirect)

    - #### getScope

          public java.lang.String getScope()

    - #### setScope

          public void setScope​(java.lang.String mScope)

    - #### getSecret

          public java.lang.String getSecret()

    - #### setSecret

          public void setSecret​(java.lang.String secret)

    - #### getServerInfo

          public ServerInfo getServerInfo()

    - #### setAuthServerInfo

          public void setAuthServerInfo​(ServerInfo mAuthServerInfo)

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled​(boolean mEnabled)

    - #### getCredentialProvider

          public CredentialProvider getCredentialProvider()

    - #### setCredentialProvider

          public void setCredentialProvider​(CredentialProvider credentialProvider)

    - #### getAuthorizationURL

          public java.lang.String getAuthorizationURL()

    - #### getAccessTokenURL

          public java.lang.String getAccessTokenURL()